activation_keys.add_host_collections API removes host collections from the activation key

06/23/2014 11:25 PM - dustin tsang

Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category: API   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1101537 Red Hat JIRA:  

Pull request:    

Description

Description of problem:

Calling

@api.resource(:activation_keys).call(

:add_host_collections,           {

:id => ak_id,

:host_collection_ids => hc_ids

})

does not associate host_collections with the activation key

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140521.0-Satellite-x86_64

How reproducible:

always

Steps to Reproduce:

1. bundle exec irb

irb> require 'apipie-bindings'

irb> api = ApipieBindings::API.new({:uri => 'http://localhost:3000/', :username => 'admin', :password => 'changeme',

:api_version=> '2', :aggressive_cache_checking => true})

irb> api.resource(:activation_keys).call(

:add_host_collections,           {

:id => ak_id,

:host_collection_ids => hc_ids

})

Actual results:

API call runs without issues, but does not associate host collections with the activation key

according to config/routes/api/v2.rb it looks like :remove_host_collections is called instead

Expected results:

associate host collections with the activation key

Additional info:

<sat6>/apidoc/v2/activation_keys/add_host_collections

does not have complete apidoc

Ivan's patch:

diff --git a/config/routes/api/v2.rb b/config/routes/api/v2.rb

index ad7cb9a..3456d10 100644

--- a/config/routes/api/v2.rb

++ b/config/routes/api/v2.rb
 27,8 +27,8 @@ Katello::Engine.routes.draw do

match '/releases' => 'activation_keys#available_releases', :via => :get, :on => :member

api_resources :host_collections, :only => [:index]

member do

match '/host_collections' => 'activation_keys#add_host_collections', :via => :post

-          match '/host_collections' => 'activation_keys#remove_host_collections', :via => :put

match '/host_collections' => 'activation_keys#add_host_collections', :via => :put

+          match '/host_collections' => 'activation_keys#remove_host_collections', :via => :delete

match '/host_collections/available' => 'activation_keys#available_host_collections', :via => :get

end

api_resources :products, :only => [:index]

Associated revisions

Revision 7da51494 - 06/25/2014 09:17 PM - dustin tsang

Fixes #6347 - AK doc add/rm_host_coll BZ1101537

Fix the http actions documented for add_host_collections and

remove_host_collections.

Revision ff154a01 - 06/26/2014 02:35 PM - Adam Price

Merge pull request #4332 from dustint-rh/AK_add_host_collections

Fixes #6347 - AK doc add/rm_host_coll BZ1101537

History

#1 - 06/23/2014 11:25 PM - dustin tsang

- Category set to API

- Status changed from New to Assigned

- Assignee set to dustin tsang

- Target version set to 48

- Difficulty set to trivial

#2 - 06/23/2014 11:59 PM - dustin tsang

- Difficulty changed from trivial to easy

https://github.com/Katello/katello/pull/4332

#3 - 06/23/2014 11:59 PM - dustin tsang

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1101537

#4 - 06/26/2014 02:53 PM - dustin tsang

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:7da5149483f9e704134eb3e46658538833cd814c.

#5 - 06/28/2014 03:32 AM - Eric Helms

- Triaged changed from No to Yes

#6 - 08/22/2014 08:58 AM - Eric Helms

- translation missing: en.field_release set to 13
